import { ListController } from "@/controllers/ListController";
import { defineStore } from "pinia";
import { request } from "../../objects";
import loading from "@/components/Provider/Loading";
import { message } from "ant-design-vue";
export const useArticle = defineStore("article", {
  state: () => ({
    listController: new ListController(request),
  }),
  getters: {},
  actions: {
    initArticle() {
      this.listController.setCrudPrefix("/article");
    },
    async addOrUpdateArticle(item: any) {
      loading.show("保存中");
      let res = {} as any;
      if (item._id) {
        res = await this.listController.saveItem(item);
      } else {
        res = await this.listController.addItem(item);
      }
      loading.hidden();
      if (res.errorNo != 200) {
        message.success("保存失败");
        return;
      }
      message.success("保存成功");
    },
    async getArticleDetail(item: any) {
      const res = await this.listController.itemDetail(item._id);
      if (res.errorNo != 200) {
        message.warn("未查询到数据！");
        return;
      }
      return res.result;
    },
  },
});
